unit Uspliteg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Buttons, Menus, Splitter, Rpanel, Grids,
  Outline, StdCtrls, Clocklbl;

type
  TfrmMain = class(TForm)
    pnlToolbar: TPanel;
    mnuMain: TMainMenu;
    mnuFile: TMenuItem;
    mnuEdit: TMenuItem;
    mnuView: TMenuItem;
    mnuHelp: TMenuItem;
    bvToolBar: TBevel;
    pnlStatusBar: TPanel;
    olBrowser: TOutline;
    rpnlViewer: TRecessedPanel;
    Splitter1: TSplitter;
    ScrollBox1: TScrollBox;
    procedure FormResize(Sender: TObject);
    procedure Splitter1EndMove(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormResize(Sender: TObject);
begin
  olBrowser.Height := frmMain.ClientHeight-(olBrowser.Top+pnlStatusBar.Height+8);
  Splitter1.Height := frmMain.ClientHeight-(Splitter1.Top+pnlStatusBar.Height+8);
  rpnlViewer.SetBounds(Splitter1.Left+Splitter1.Width+2, rpnlViewer.Top,
                       frmMain.ClientWidth-(Splitter1.Left+Splitter1.Width+2)-7,
                       frmMain.ClientHeight-(rpnlViewer.Top+pnlStatusBar.Height+8)+1);
end;

procedure TfrmMain.Splitter1EndMove(Sender: TObject);
begin
  olBrowser.Width := Splitter1.Left-Splitter1.Width-2;
  rpnlViewer.SetBounds(Splitter1.Left+Splitter1.Width+2, rpnlViewer.Top,
                       frmMain.ClientWidth-(Splitter1.Left+Splitter1.Width+2)-7,
                       rpnlViewer.Height);
end;

end.
